summaryrefslogtreecommitdiff
path: root/scripts/scan-tools.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-06-30 08:40:35 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-06-30 08:40:35 +0200
commit8b2ea5fd6a65f35d670eba5c44a7f7f9d561c131 (patch)
tree249a0a0e9f103e5866b69405223204b5a4fba1f7 /scripts/scan-tools.sh
parenteb3f81cc2f161f97954b9b93839a0225bc2bf83b (diff)
add support for lz4 compressed kernel and initramfs
Diffstat (limited to 'scripts/scan-tools.sh')
-rw-r--r--scripts/scan-tools.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 21f884e3f..0bfb36c3c 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -285,6 +285,11 @@ if ! which lzma >/dev/null 2>&1; then
host_build_lzma=1
fi
+host_build_lz4=0
+if ! which lz4c >/dev/null 2>&1; then
+ host_build_lz4=1
+fi
+
host_build_lzop=0
if ! which lzop >/dev/null 2>&1; then
host_build_lzop=1
@@ -317,6 +322,7 @@ if [ $host_build_ccache -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_CCAC
if [ $host_build_cdrtools -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_CDRTOOLS if ADK_HOST_NEED_CDRTOOLS" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_genext2fs -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_GENEXT2FS if ADK_HOST_NEED_GENEXT2FS" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_lzma -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_LZMA if ADK_HOST_NEED_LZMA" >> $topdir/target/config/Config.in.prereq ;fi
+if [ $host_build_lz4 -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_LZ4 if ADK_HOST_NEED_LZ4" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_lzop -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_LZOP if ADK_HOST_NEED_LZOP" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_qemu -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_QEMU if ADK_HOST_NEED_QEMU" >> $topdir/target/config/Config.in.prereq ;fi